<?php
require "include/bittorrent.php";
dbconn();
loggedinorreturn();
stdhead("Schon gewusst Text hinzuf&uuml;gen");

if (get_user_class() < UC_MODERATOR)
stderr("Fehler", "Zugriff Verweigert.");

//Beginn "Schon gewusst?" Mod - coded by atimaster for Torrent-Dimension.ath.cx
// Einträge löschen
if (isset($_GET['del']))
 {
  if (is_numeric($_GET['del']))
   {
    $query = "SELECT * FROM schongewusst WHERE id=".$_GET['del'];
    $result = mysql_query($query);
   } else {
    echo "Eintrag nicht gefunden";
    exit;
          }

   $row = mysql_fetch_row($result);

   $query = "DELETE FROM schongewusst WHERE id=".$_GET['del'];
   mysql_query($query);
 }

$res = mysql_query("SELECT * FROM schongewusst") or sqlerr(__FILE__, __LINE__);
while ($arr = mysql_fetch_assoc($res))
 {
  $del="[<a href=addschongewusst.php?del=".$arr[id].">Del</a>]";
 }
// Einträge löschen
?>

<table cellpadding="4" cellspacing="1" border="0" style="width:100%" class="tableinborder">
<tr class="tabletitle" width="100%">
  <td colspan="10" width="100%"><span class="normalfont"><center><b> Schon gewusst Text hinzuf&uuml;gen </b></center></span></td>
</tr>

<?php

echo "
		<form action=\"addschongewusst.php\" method=\"post\" name=\"form1\">
		<tr>
		  <td class=\"tableb\">Schon gewusst-Text eingeben:</td>
		  <td align=\"left\" class=\"tableb\"><input type=\"text\" size=\"50\" name=\"textfeld\" value=\"Text eingeben\" onblur=\"if(this.value=='') this.value='Text eingeben';\" onfocus=\"if(this.value=='Text eingeben') this.value=''\" /></td>
		</tr><tr>
		  <td class=\"tableb\" colspan=\"2\"><div align=\"center\"> <input type=\"submit\" value=\"Und los!\" name=\"submit\"></div></td>
		</tr>
     </table>
</form>";

if (isset($_POST['submit']))
{
    mysql_query("INSERT INTO schongewusst (id,text) VALUES ('', '$_POST[textfeld]')") or die(mysql_error());
    echo "<br /><font color=\"#ff0000\"><b>Eintrag erfolgreich in die Datenbank eingetragen</b></font><br />";
}

$query = "SELECT * FROM schongewusst ORDER BY id DESC";
$sql = mysql_query($query);
while ($row = mysql_fetch_array($sql)) {
$text = $row['text'];
$sgausgabe .= "<tr><td class=\"tablea\" width=\"1%\">$del</td><td class=\"tablea\">$text</td></tr>";
}
?>

<br />

<table cellpadding="4" cellspacing="1" border="0" style="width:100%" class="tableinborder">
<tr class="tabletitle" width="100%">
  <td colspan="10" width="100%"><span class="normalfont"><center><b> Folgende "Schon gewusst" Eintr&auml;ge existieren schon in der Datenbank: </b></center></span></td>
</tr>
<?=$sgausgabe?>
</table>

<?php

//Ende "Schon gewusst?" Mod - coded by atimaster for Torrent-Dimension.ath.cx

stdfoot();
?>